<?php

namespace App\Filament\Resources\IndividualZoneResource\Pages;

use App\Filament\Resources\IndividualZoneResource;
use Filament\Resources\Pages\CreateRecord;
use Filament\Notifications\Notification;

class CreateIndividualZone extends CreateRecord
{
    protected static string $resource = IndividualZoneResource::class;

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getCreatedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Individual Zone created successfully')
            ->body('The individual zone has been created successfully.');
    }

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        return $data;
    }
} 